CREATE DATABASE `mature_org_db`
LOCATION 's3://cdca-us-east-1-cerberus-scratch/mature_org_db/'

CREATE EXTERNAL TABLE IF NOT EXISTS mature_org_db.mature_org_list (
    orgid INT,
    device_count INT,
    reputation_whitelist_rule_count INT,
    reputation_blacklist_rule_count INT,
    org_existence_in_days INT,
    user_added_rule_count INT,
    user_added_blocking_rule_count INT,
    user_added_permission_rule_count INT,
    num_of_policy_with_more_than_median_blocking_permission_rule INT,
    total_policy_num INT,
    blocking_rule_count INT,
    permission_rule_count INT,
    all_event_count INT,
    blocking_event_count INT,
    blocking_event_ratio DOUBLE
    )
STORED AS PARQUET
LOCATION 's3://cdca-us-east-1-cerberus-scratch/mature_org_db/mature_org_list/'
tblproperties ("parquet.compress"="GZIP");

CREATE EXTERNAL TABLE IF NOT EXISTS mature_org_db.mature_org_score (
    orgid INT,
    device_count INT,
    reputation_whitelist_rule_count INT,
    reputation_blacklist_rule_count INT,
    org_existence_in_days INT,
    user_added_rule_count INT,
    user_added_blocking_rule_count INT,
    user_added_permission_rule_count INT,
    num_of_policy_with_more_than_median_blocking_permission_rule INT,
    total_policy_num INT,
    blocking_rule_count INT,
    permission_rule_count INT,
    all_event_count INT,
    blocking_event_count INT,
    blocking_event_ratio DOUBLE,
    org_maturity_score1 DOUBLE,
    org_maturity_score2 DOUBLE
    )
STORED AS PARQUET
LOCATION 's3://cdca-us-east-1-cerberus-scratch/mature_org_db/mature_org_score/'
tblproperties ("parquet.compress"="GZIP");
