/*dev*/
CREATE VIEW cdca.policy_view AS
with t AS (with t1 AS
    (SELECT *,
         CAST(json_extract(policy_info_v2,
         '$.rules') AS ARRAY(MAP(VARCHAR, JSON))) AS rules_arr
    FROM cdca.policy)
    SELECT device_group_id,
         org_id,
         name,
         env,
         CAST(json_extract(rules['application'], '$.value') AS VARCHAR) AS application_value, CAST(json_extract(rules['application'], '$.type') AS VARCHAR) AS application_type, CAST(rules['operation'] AS VARCHAR) AS operation, CAST(rules['action'] AS VARCHAR) AS action
    FROM t1
    CROSS JOIN UNNEST(rules_arr) AS t(rules))
SELECT *
FROM t
WHERE application_type = 'NAME_PATH'
/*prod*/
CREATE VIEW athena.policy_view AS
with t AS (with t1 AS
    (SELECT *,
         CAST(json_extract(policy_info_v2,
         '$.rules') AS ARRAY(MAP(VARCHAR, JSON))) AS rules_arr
    FROM athena.policy)
    SELECT device_group_id,
         org_id,
         name,
         env,
         CAST(json_extract(rules['application'], '$.value') AS VARCHAR) AS application_value, CAST(json_extract(rules['application'], '$.type') AS VARCHAR) AS application_type, CAST(rules['operation'] AS VARCHAR) AS operation, CAST(rules['action'] AS VARCHAR) AS action
    FROM t1
    CROSS JOIN UNNEST(rules_arr) AS t(rules))
SELECT *
FROM t
WHERE application_type = 'NAME_PATH'