/*
 Dev account
 */
CREATE EXTERNAL TABLE cdca.policy (
  device_group_id int,
  org_id int,
  policy_control boolean,
  is_default boolean,
  priority int,
  name STRING,
  description STRING,
  admin_contact_id bigint,
  policy_info STRING,
  update_version int,
  priority_level int,
  change_timestamps STRING,
  analytics_profile STRING,
  analytics_version STRING,
  policy_info_v2 STRING
) PARTITIONED BY (env STRING) STORED AS PARQUET LOCATION 's3://cdca-dev-us-east-1-policy-data-sharing/policy/device_group/' tblproperties ("parquet.compression" = "gzip")
/*
 Prod account
 */
CREATE EXTERNAL TABLE athena.policy (
  device_group_id int,
  org_id int,
  policy_control boolean,
  is_default boolean,
  priority int,
  name STRING,
  description STRING,
  admin_contact_id bigint,
  policy_info STRING,
  update_version int,
  priority_level int,
  change_timestamps STRING,
  analytics_profile STRING,
  analytics_version STRING,
  policy_info_v2 STRING
) PARTITIONED BY (env STRING) STORED AS PARQUET LOCATION 's3://cdca-prod-us-east-1-policy-data-sharing/policy/device_group/' tblproperties ("parquet.compression" = "gzip");
MSCK REPAIR TABLE athena.policy;
/*
 dev account
 */
CREATE EXTERNAL TABLE cdca.policy_device_mapping (
  device_group_id int,
  device_id bigint,
  msm_group_id int
) PARTITIONED BY (env string) STORED AS PARQUET LOCATION 's3://cdca-dev-us-east-1-policy-data-sharing/policy/device_group_device' tblproperties ("parquet.compression" = "gzip");
MSCK REPAIR TABLE cdca.policy_device_mapping;
/*
 prod account
 */
CREATE EXTERNAL TABLE athena.policy_device_mapping (
  device_group_id int,
  device_id bigint,
  msm_group_id int
) PARTITIONED BY (env string) STORED AS PARQUET LOCATION 's3://cdca-prod-us-east-1-policy-data-sharing/policy/device_group_device' tblproperties ("parquet.compression" = "gzip");
MSCK REPAIR TABLE athena.policy_device_mapping;
