# generate_cert_hash_prevalent_data

### Use case
`generate_cert_hash_prevalent_data` is used to generate hash and cert pool and save them as csv files to a S3 bucket 
For the hash pool, it will exclude TRUSTED_WHITELIST hashes from `threatintel.bit9.com/api/v1/defense/reputation` and find most common path and file name for each hash during `start_time` and `end_time`

### Parameters
* `region`: region of the database. For example, `us-east-1`,
* `database`: database name. For example, `tau_cluster_scratch`,
* `outputBucket`: athena query output bucket. For example, `aws-athena-query-results-prod-us-east-1-shannon`,
* `reputationTable`: database table stores reputation data. For example, `policy_org_reputation_override`,
* `policyTable`: database table stores policy data. For example, `policy`,
* `policyDeviceMappingTable`: database table stores policy & device mapping data. For example, `policy_device_mapping`,
* `outputFolder`: athena query output can be put in a folder under the output Bucket or directly under the output bucket. For example, ``,
* `outputLocation`: athena query output location. Basically, this is s3:// + outputBucket + outputFolder. For example, `s3://aws-athena-query-results-prod-us-east-1-shannon/`
* `end_time`: end query time. Format: YYYY-mm-dd. For example,  `2020-03-01`. start_time (calculated as 29 days before end_time) and end_time are used in finding the most common path and file name for hashes.
* `certListLocation`: generated cert pool list location. Should be a s3 location. For example, `s3://cdca-prod-us-east-1-intermediate-data/cert_list.csv`
* `hashListLocation`: generated hash pool list location. Should be a s3 location. For example, `s3://cdca-prod-us-east-1-intermediate-data/hash_list_with_common_path_and_file_name.csv`
* `org_count_threshold`: this is used to exclude certs and hashes whose org_count is lower than the threshold.
